<template>
    <div class="page-login">
        <md-button class="md-primary md-block md-radius" :disabled="loading" @click="loginModal = true">Iniciar sesión</md-button>
        <LoginSection :showModal="loginModal" v-on:loginModalHide="loginModalHide" />
    </div>
</template>

<script>
import { LoginCard } from '../components';
import LoginSection from '../views/components/LoginSection';

export default {
    components: {
        LoginCard,
        LoginSection
    },
    bodyClass: '',
    data() {
        return {
            firstname: null,
            email: null,
            password: null,
            loginModal: true
        };
    },
    props: {
        header: {
            type: String,
            default: require('../assets/img/profile_city.jpg')
        }
    },
    computed: {
        headerStyle() {
            return {
                backgroundImage: `url(${this.header})`
            };
        }
    },
    methods: {
        loginModalHide(event) {
            this.loginModal = false;
        }
    }
};
</script>

<style lang="css">
.page-login {
    height: calc(100vh - 14rem);
    display: flex;
    align-items: center;
}
</style>
